Summary: A generic USB CCID (Chip/Smart Card Interface Devices) driver
Name: ccid
Version: 1.0.1
Release: %mkrel 1
License: LGPL
Group: System/Libraries
Source0: https://alioth.debian.org/download.php/1474/ccid-%{version}.tar.gz
Source1: https://alioth.debian.org/download.php/1475/ccid-%{version}.tar.gz.asc
URL: http://pcsclite.alioth.debian.org/
BuildRequires: pkgconfig >= 0.9.0
BuildRequires: libpcsclite-devel
BuildRequires: libusb-devel
# update-reader.conf is called in %%post
Requires(post,postun): pcsc-lite
Requires: pcsc-lite
BuildRoot: %{_tmppath}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides a generic USB CCID (Chip/Smart Card Interface Devices)
driver.

%prep
%setup -q

%build
%configure

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
# serial driver is installed separately
%makeinstall_std -C src install_ccidtwin

# conf file should be placed inside reader.conf.d
mkdir -p %{buildroot}%{_sysconfdir}/reader.conf.d
mv -f %{buildroot}%{_sysconfdir}/reader.conf %{buildroot}%{_sysconfdir}/reader.conf.d/GemPCTwin-serial.conf

%post
%{_sbindir}/update-reader.conf

%postun
if [ "$1" = "0" ]; then
	%{_sbindir}/update-reader.conf
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS INSTALL README COPYING
%doc readers
%config(noreplace) %{_sysconfdir}/reader.conf.d/*.conf
%{_libdir}/pcsc/drivers/ifd-ccid.bundle
%{_libdir}/pcsc/drivers/serial

%changelog
* Thu Apr 27 2006 Andreas Hasenack <andreas@mandriva.com> 1.0.1-1mdk
- updated to version 1.0.1

* Mon Mar 13 2006 Andreas Hasenack <andreas@mandriva.com> 1.0.0-1mdk
- packaged for Mandriva

